### Method

# WebKit WebExtensionMatchPattern get_host

since: 2.48

#### Declaration [src]

    const gchar*
    webkit_web_extension_match_pattern_get_host (
      WebKitWebExtensionMatchPattern* matchPattern
    )

#### Description [src]

Gets the host part of the pattern string, unless `webkit_web_extension_match_pattern_get_matches_all_urls` is `TRUE`.

Available since: 2.48

#### Return value

Type: `const gchar*`

The host string.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.